POE::Pipe(3)

NAME
POE::Pipe - common methods for POE::Pipe::OneWay and POE::Pipe::TwoWay

SYNOPSIS
  None.

DESCRIPTION
POE::Pipe implements lower-level internal methods that are common among its subclasses: POE::Pipe::OneWay and POE::Pipe::TwoWay.

The POE::Pipe classes may be used outside of POE, as they don't use POE internally.

BUGS
The functions implemented here die outright upon failure, requiring eval{} around their calls.

SEE ALSO
POE::Pipe::OneWay, POE::Pipe::TwoWay, POE

AUTHOR & COPYRIGHT
POE::Pipe is copyright 2001-2008 by Rocco Caputo. All rights reserved. POE::Pipe is free software; you may redistribute it and/or modify it under the same terms as Perl itself.